<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('countries', function (Blueprint $table) {
            $table->id();
            $table->string('internal_name')->unique();
            $table->string('name');
            $table->string('country_code', 2)->unique();
            $table->foreignId('continent_id')
                ->constrained('continents')
                ->onDelete('restrict'); // or ->onDelete('cascade') if you prefer
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('countries');
    }
};
